Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTextSource Class Reference

`#include <vtkTextSource.h>`

Inheritance diagram for vtkTextSource:

[legend]
Collaboration diagram for vtkTextSource:

[legend]
List of all members.

## Detailed Description

create polygonal text

Date:
  2002/01/22 15:29:51

Revision:
  1.39

vtkTextSource converts a text string into polygons. This way you can insert text into your renderings. It uses the 9x15 font from X Windows. You can specify if you want the background to be drawn or not. The characters are formed by scan converting the raster font into quadrilaterals. Colors are assigned to the letters using scalar data. To set the color of the characters with the source's actor property, set BackingOff on the text source and ScalarVisibilityOff on the associated vtkPolyDataMapper. Then, the color can be set using the associated actor's property.

vtkVectorText generates higher quality polygonal representations of characters.

See also:
  vtkVectorText

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (58%)
  - Lorensen, Bill (20%)
  - Geveci, Berk (12%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkTextSource.h)`
  - .`cxx` (`/Graphics/vtkTextSource.cxx)`

Tests:
  vtkTextSource (Tests)

Definition at line 59 of file vtkTextSource.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetText (const char *)
virtual char * | GetText ()
virtual void | SetBacking (int)
virtual int | GetBacking ()
virtual void | BackingOn ()
virtual void | BackingOff ()
virtual void | SetForegroundColor (float, float, float)
virtual void | SetForegroundColor (float[3])
virtual float * | GetForegroundColor ()
virtual void | GetForegroundColor (float data[3])
virtual void | SetBackgroundColor (float, float, float)
virtual void | SetBackgroundColor (float[3])
virtual float * | GetBackgroundColor ()
virtual void | GetBackgroundColor (float data[3])
## Static Public Methods
int | IsTypeOf (const char *type)
vtkTextSource * | SafeDownCast (vtkObject *o)
vtkTextSource * | New ()
## Protected Methods
| vtkTextSource ()
| ~vtkTextSource ()
void | Execute ()
## Protected Attributes
char * | Text
int | Backing
float | ForegroundColor [4]
float | BackgroundColor [4]

## Member Typedef Documentation

typedef vtkPolyDataSource vtkTextSource::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 62 of file vtkTextSource.h.

## Constructor & Destructor Documentation

vtkTextSource::vtkTextSource | ( |  | ) | `[protected]`

vtkTextSource::~vtkTextSource | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkTextSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkTextSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkTextSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkTextSource* vtkTextSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkTextSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

vtkTextSource* vtkTextSource::New | ( |  | ) | `[static]`

| Construct object with no string set and backing enabled. Reimplemented from vtkObject.

virtual void vtkTextSource::SetText | ( | const char * |  | ) | `[virtual]`

| Set/Get the text to be drawn.

virtual char* vtkTextSource::GetText | ( |  | ) | `[virtual]`

| Set/Get the text to be drawn.

virtual void vtkTextSource::SetBacking | ( | int |  | ) | `[virtual]`

| Controls whether or not a background is drawn with the text.

virtual int vtkTextSource::GetBacking | ( |  | ) | `[virtual]`

| Controls whether or not a background is drawn with the text.

virtual void vtkTextSource::BackingOn | ( |  | ) | `[virtual]`

| Controls whether or not a background is drawn with the text.

virtual void vtkTextSource::BackingOff | ( |  | ) | `[virtual]`

| Controls whether or not a background is drawn with the text.

virtual void vtkTextSource::SetForegroundColor | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the foreground color. Default is white (1,1,1). ALpha is always 1.

virtual void vtkTextSource::SetForegroundColor | ( | float | [3] | ) | `[virtual]`

| Set/Get the foreground color. Default is white (1,1,1). ALpha is always 1.

virtual float* vtkTextSource::GetForegroundColor | ( |  | ) | `[virtual]`

| Set/Get the foreground color. Default is white (1,1,1). ALpha is always 1.

virtual void vtkTextSource::GetForegroundColor | ( | float | data[3] | ) | `[virtual]`

| Set/Get the foreground color. Default is white (1,1,1). ALpha is always 1.

virtual void vtkTextSource::SetBackgroundColor | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the background color. Default is black (0,0,0). Alpha is always 1.

virtual void vtkTextSource::SetBackgroundColor | ( | float | [3] | ) | `[virtual]`

| Set/Get the background color. Default is black (0,0,0). Alpha is always 1.

virtual float* vtkTextSource::GetBackgroundColor | ( |  | ) | `[virtual]`

| Set/Get the background color. Default is black (0,0,0). Alpha is always 1.

virtual void vtkTextSource::GetBackgroundColor | ( | float | data[3] | ) | `[virtual]`

| Set/Get the background color. Default is black (0,0,0). Alpha is always 1.

void vtkTextSource::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

char* vtkTextSource::Text`[protected]`

| Definition at line 100 of file vtkTextSource.h.

int vtkTextSource::Backing`[protected]`

| Definition at line 101 of file vtkTextSource.h.

float vtkTextSource::ForegroundColor[4]`[protected]`

| Definition at line 102 of file vtkTextSource.h.

float vtkTextSource::BackgroundColor[4]`[protected]`

| Definition at line 103 of file vtkTextSource.h.

The documentation for this class was generated from the following file:

- Graphics/vtkTextSource.h